Cancel Override - Fabric

Cancel Override

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/location-capacity/{capacityOverrideId}/actions/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "reasonCode": "NOT_REQUIRED"
}
'

Python

import requests

url = "https://api.fabric.inc/v3/location-capacity/{capacityOverrideId}/actions/cancel"

payload = { "reasonCode": "NOT_REQUIRED" }
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript Fetch

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({reasonCode: 'NOT_REQUIRED'})
};

fetch('https://api.fabric.inc/v3/location-capacity/{capacityOverrideId}/actions/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response

{
  "CapacityOverrideNumber": "CapacityOverride1",
  "locationNumber": 23,
  "status": "CANCELLED",
  "type": "SHIP",
  "startDate": "2022-05-12T09:30:31.198Z",
  "endDate": "2022-05-12T09:30:31.198Z",
  "createdBy": "Carl Doe",
  "createdAt": "2022-05-12T09:30:31.198Z",
  "updatedBy": "Carl Doe",
  "updatedAt": "2022-05-12T09:30:31.198Z"
}

Error Responses

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing",
  "errors": [
    {
      "type": "CLIENT_ERROR",
      "errorCode": "SERVICE-4002",
      "message": "Invalid value(s) specified for 'requiredField.field3'",
      "errors": []
    }
  ],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders"
  }
}
{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4001",
  "message": "Unauthorized request",
  "errors": [],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders/OrderId_12345"
  }
}
{
  "type": "SERVER_ERROR",
  "errorCode": "SERVICE-5000",
  "message": "Internal server error",
  "errors": [],
  "context": {
    "service": "inventories",
    "endpoint": "POST /v3/inventories/actions/find-by-geography"
  }
}

Authorizations